<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Fileli
 */
  if ($post) {
    $parents = get_post_ancestors( $post->ID );
    $toplevel_parent_id = ($parents) ? $parents[count($parents)-1]: $post->ID;
    $toplevel_parent = get_post($toplevel_parent_id);
    $section_title = preg_replace( '/((?=corso)(.*?)(?<=in)|(?=dottorato)(.*?)(?<=in)|(?=laboratori)(.*?)(?<=di))/i', '<span>$1</span>', $toplevel_parent->post_title);
    $section_slug = $toplevel_parent->post_name;
  }
  $h3 = (isset($heading) && $heading == 3) ? true : false;
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php if (!empty($toplevel_class)) { body_class( $toplevel_class ); } else { body_class( ); } ?>>
  <div class="unipi-background"></div>
  <nav class="unipi-accessmenu visuallyhidden">
    <h2>Menù accessibilità</h2>
    <ul>
      <li><a class="skip-link screen-reader-text"  href="#mainmenu"><?php esc_html_e( 'Skip to main menu', 'fileli' ); ?></a></li>
      <li><a class="skip-link screen-reader-text"  href="#content"><?php esc_html_e( 'Skip to content', 'fileli' ); ?></a></li>
      <li><a class="skip-link screen-reader-text"  href="#sitemap">sitemap</a></li>
    </ul>
  </nav>
  <header id="unipi-header" class="site-header">
    <div class="unipi-background"></div>
    <?php wpdocs_personal_message_when_logged_in() ?>
    <section class="unipi-branding">
      <h1><a href="https://www.unipi.it" title="Università di Pisa" class="unipi responsive-logo" target="_unipi">Università di&nbsp;Pisa</a></h1>
      <h2><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="dipartimento responsive-logo"><?php bloginfo( 'name' ); ?></a></h2>
<?php if ($h3): ?>
      <h3><a href="<?php the_permalink($toplevel_parent); ?>" title="<?php echo $section_title; ?>" class="<?php echo $section_slug; ?> corso responsive-logo"><?php echo $section_title; ?></a></h3>
<?php 
  endif; 
  $fileli_description = get_bloginfo( 'description', 'display' );
  if ( $fileli_description || is_customize_preview() ) :
?>
      <p class="site-description"><?php echo $fileli_description; /* WPCS: xss ok. */ ?></p>
<?php endif; ?>
    </section><!-- .unipi-branding -->
<?php if (!isset($toplevel_class) || $toplevel_class !== 'aio-help') : ?>
    <nav class="main-navigation<?php echo (is_front_page() || ($h3 && $post->post_parent == 0)) ? '': ' folded'; ?>" id="site-navigation">
<?php
  if (!$h3) {
    wp_nav_menu( array(
      'container' => '',
      'theme_location' => 'primary',
      'menu_id'        => 'primary-menu',
    ) );
  } else {
?>
    <ul id="primary-menu" class="menu">
<?php
  if ($h3) {
    echo '<li class="home"><a href="/' . $section_slug . '/" class="aio-icon home-link" title="' . $toplevel_parent->post_title . '">home</a></li>';
  }
  $exclude_ids = wds_get_IDs_by_page_name('home, footer, risorse');
  wp_list_pages( array(
      'title_li' => NULL,
      'child_of' => $toplevel_parent_id,
      'sort_column' => 'menu_order',
      'exclude' => $exclude_ids, 
      'depth' => 1
  ));
  if ($toplevel_posts) {
    echo '<li class="page_item"><a href="/category/subs/' . $section_slug . '">' . get_the_title( get_option('page_for_posts', true)) . '</a></li>';
  }
?>
    </ul>
<?php  
  }
  get_sidebar('header-widgets');
?>
    </nav><!-- #site-navigation -->
<?php endif ?>
  </header><!-- #unipi-header -->
  <?php
    if (isset($fullscreen)) :
  ?>
  <div id="content" class="site-content fullscreen" style="background-image: url(<?php echo get_the_post_thumbnail_url(); ?>);">
  <?php
    else :
  ?>
  <div id="content" class="site-content">
  <?php
//   echo "<pre>";print_r($post);echo "</pre>";
    endif;
  ?>

