/*! *
 * File fileli.js.
 *
 * Handles javascript events
 * Vanilla javascript .
 */

var Smooth = {
/* http://caribe.cf/simple-smooth-expanding-element-with-javascript/ */

  init: function(el) {
    if (!el.hasAttribute('data-height')) {
      el.style.display = 'block';
      el.dataset.height = el.offsetHeight+"px";
      el.className = 'smooth';
      el.style.height = 0;
    }
    if (el.parentElement.closest('ul')) el.parentElement.closest('ul').style.height = null;
    return el;
  },
  expand: function(el) {
    var div = Smooth.init(el);
    setTimeout(function() { div.style.height = div.dataset.height; }, 20);
  },
  collapse: function(el) {
    var div = Smooth.init(el);
    div.style.height = 0;
  }
}

function smoothToggleSubMenu (e) {
/*
  span -> secondary menu
  href = # for faq
  getBoundingClientRect per pseudoelements (::after) sitemap
*/
  if ( this.tagName.toLowerCase() === 'span' || this.getAttribute('href') === '#' || (this.getBoundingClientRect().right - e.pageX) < 32 ) {
    e.preventDefault();
    var pa = this.closest('li').classList;
    var nested = (this.tagName.toLowerCase() === 'span') ? this.parentElement.nextElementSibling : this.nextElementSibling;
    if (pa.contains('current_page_item') || pa.contains('current_page_parent') || pa.contains('current_page_ancestor')) {
      pa.toggle('aio-forced-closed');
      if (pa.contains('aio-forced-closed')) {
        Smooth.collapse(nested);
      } else {
        Smooth.expand(nested);
      }
    } else {
      pa.toggle('aio-open');
      if (pa.contains('aio-open')) {
        Smooth.expand(nested);
      } else {
        Smooth.collapse(nested);
      }
    }
  }
}

( function() {
  function setCookie(cname,cvalue,exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires=" + d.toGMTString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
  }

  function getCookie (cname) {
    var name = cname + "=";
    var decodedCookie = decodeURIComponent(document.cookie);
    var ca = decodedCookie.split(';');
    for(var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
  }
  
  function toggleDyslexic (event) {
    event.preventDefault();
//     event.stopPropagation();
    var dys = document.body.classList.contains('dyslexic');
    if (!dys) {
      document.body.classList.add('dyslexic');
      Alert.render(modals.dyslexic);
      setCookie("dyslexic",dys,true);
    } else {
      document.body.classList.remove('dyslexic');
      Alert.render(modals.noDyslexic);
      document.cookie = 'dyslexic=; false; expires=Thu, 01 Jan 1970 00:00:01 GMT; path=/;';
    }
  }

  function showHelp (event) {
    event.preventDefault();
    var href = this.getAttribute('href');
    var item = href.replace(/\//g, '_');
    var counter = 5; // per sicurezza
    while( modals[item] == undefined && counter>0) {
      var n = item.lastIndexOf("_");
      item = item.substr(0, n);
      counter--;
    }
    if (counter === 0) return false;
    Alert.render(modals[item]);
  }

  function init() {
    var dysFont=getCookie("dyslexic");
    if (dysFont != '') {
      document.body.classList.add('dyslexic');
    } else {
      document.body.classList.remove('dyslexic');
    }

    vh = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
    vw = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);

    folded = document.getElementsByClassName('folded');
    Array.from(folded).forEach(function(element) {
       element.addEventListener('click', unfold);
    });

    content.style.paddingTop = pageHeader.offsetHeight + sHeader.offsetHeight + 'px';
    sHeader.style.top = pageHeader.offsetHeight + 'px';
    if (smenu && vw > 1024) smenu.style.maxHeight = vh - (pageHeader.offsetHeight + sHeader.offsetHeight) + 'px';
    scrolltotop.addEventListener('click', toTop);
    adjustTables();
  }

  function scrollFunction() {
    content.style.paddingTop = pageHeader.offsetHeight + sHeader.offsetHeight + 'px';
    sHeader.style.top = pageHeader.offsetHeight + 'px';
    
    if(window.pageYOffset > 1 && vw < 1024) {
      mmenu.classList.add('folded');
      mmenu.addEventListener('click', unfold);
      scrolltotop.classList.add('active');
    } else {
      scrolltotop.classList.remove('active');
    }
    if (smenu && vw > 767 && (smenu.offsetHeight + pageHeader.offsetHeight + sHeader.offsetHeight) < pFooter.getBoundingClientRect().top) {
      var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
      smenu.style.transform = 'translateY(' + scrollTop +'px)';
    }
  }

  function unfold(event) {
    event.stopPropagation();
    this.classList.remove('folded');
  }

  function toTop() {
    scroll.to(0,0).then(function() {
      scrolltotop.blur();
//    initPage();
      content.style.paddingTop = pageHeader.offsetHeight + sHeader.offsetHeight + 'px';
      sHeader.style.top = pageHeader.offsetHeight + 'px';
    });
  }

  function bodyOrHtml() {
//      https://dev.opera.com/articles/fixing-the-scrolltop-bug/
    if ('scrollingElement' in document) {
      return document.scrollingElement;
    }
// Fallback for legacy browsers
    if (navigator.userAgent.indexOf('WebKit') != -1) {
      return document.body;
    }
    return document.documentElement;
  }

  function searchSubmit(event) {
    var searchField = this.getElementsByClassName('search-field')[0];
    if (this.classList.contains('focussed')) {
      if (searchField.value.length > 2 ) {
        return true;
      }  
      this.classList.remove('focussed');
    } else {
      searchField.focus();
      this.classList.add('focussed');
      document.addEventListener('click', searchClose, true);
    }
    event.preventDefault();
    event.stopPropagation();
  }

  function searchClose (e) {
    if (e.target.closest('form') !== xtraSearch[0]) {
      xtraSearch[0].classList.remove('focussed');
      document.removeEventListener('click', searchClose, true);
      var searchField = this.getElementsByClassName('search-field')[0];
      searchField.blur();
    }
  }
  
  function sortTable(e) {
    var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0, n = e.target.index;
    table = this.parentElement.closest('table');
    
    var sorteds = table.getElementsByClassName('sorted');
    Array.from(sorteds).forEach(function(srtd) {
      srtd.classList.remove('sorted');
    });
    e.target.classList.add('sorted');
    
    switching = true;
    // Set the sorting direction to ascending:
    dir = "asc"; 
    /* Make a loop that will continue until
    no switching has been done: */
    while (switching) {
      // Start by saying: no switching is done:
      switching = false;
      rows = table.rows;
      /* Loop through all table rows (except the
      first, which contains table headers): */
      for (i = 1; i < (rows.length - 1); i++) {
        // Start by saying there should be no switching:
        shouldSwitch = false;
        /* Get the two elements you want to compare,
        one from current row and one from the next: */
        x = rows[i].getElementsByTagName("TD")[n];
        y = rows[i + 1].getElementsByTagName("TD")[n];
        /* Strip the html from the element: */
        var xtemp = x.textContent || x.innerText || "";
        var ytemp = y.textContent || y.innerText || "";
        /* Check if the two rows should switch place,
        based on the direction, asc or desc: */
        if (dir == "asc") {
          if (xtemp.toLowerCase() > ytemp.toLowerCase()) {
            // If so, mark as a switch and break the loop:
            shouldSwitch = true;
            break;
          }
        } else if (dir == "desc") {
          if (xtemp.toLowerCase() < ytemp.toLowerCase()) {
            // If so, mark as a switch and break the loop:
            shouldSwitch = true;
            break;
          }
        }
      }
      if (shouldSwitch) {
        /* If a switch has been marked, make the switch
        and mark that a switch has been done: */
        rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
        switching = true;
        // Each time a switch is done, increase this count by 1:
        switchcount ++; 
      } else {
        /* If no switching has been done AND the direction is "asc",
        set the direction to "desc" and run the while loop again. */
        if (switchcount == 0 && dir == "asc") {
          dir = "desc";
          switching = true;
        }
      }
    }
  }
   
  function adjustTables () {
    var cnt = 0;
    Array.from(scrollingTables).forEach(function(element) {
      // exclude tables with row and/or colspans from becoming sortable
      var elems = element.querySelectorAll("*")
      var res = Array.from(elems).find(v => v.rowSpan > 1 || v.colspan > 1);
      if(res === undefined) {
        var ths = element.getElementsByTagName('tr')[0].getElementsByTagName('th');
        Array.from(ths).forEach(function(th,index) {
          th.addEventListener('click', sortTable);
          th.classList.add('button');
          th.index = index;
        });
      }
      var tw = element.offsetWidth;
      var parent = element.parentNode;
      var pw = parent.offsetWidth;
      if (tw > pw && !element.id) {
        element.id = 'table-' + cnt;
        element.classList.add('scrollable_table');
        var wrapper = document.createElement('div');
        wrapper.classList.add('scrollable_item');
        // set the wrapper as child (instead of the element)
        parent.replaceChild(wrapper, element);
        // set element as child of wrapper
        wrapper.appendChild(element);
        parent = wrapper.parentNode;
        var wrapper2 = document.createElement('div');
        wrapper2.classList.add('scrollable_container');
        // set the wrapper as child (instead of the element)
        parent.replaceChild(wrapper2, wrapper);
        // set element as child of wrapper
        wrapper2.appendChild(wrapper);
        var overlay = document.createElement('div');
        overlay.classList.add('scrollable_overlay');
        wrapper.parentNode.insertBefore(overlay, wrapper.nextSibling);
        setTableButtons(wrapper);
        wrapper.addEventListener('scroll', setTableButtons);
      } else if (tw <= pw && parent.parentNode.classList.contains('scrollable_container')) {
        element.removeAttribute('id');
        parent.parentNode.parentNode.replaceChild(element, parent.parentNode);
      }
      cnt++;
    });
  }
  
  function setTableButtons (e) {
    let el = (e.target) ? this: e;
    let w = el.offsetWidth;
    let tb = el.getElementsByTagName('table')[0];
    let tw = tb.offsetWidth;
    if (el.scrollLeft > 0) {
      el.parentNode.classList.remove('left-overflow');
    } else {
      el.parentNode.classList.add('left-overflow');
    }
    if (el.scrollLeft < (tw - w)) {
      el.parentNode.classList.remove('right-overflow');
    } else {
      el.parentNode.classList.add('right-overflow');
    }
  }
  
  function smoothToggleFaq (e) {
    e.preventDefault();
    var dd = this.nextElementSibling;
    if (dd.tagName.toLowerCase() === 'dd') {
      if (dd.classList.contains('aio-open')) {
        Smooth.collapse(dd);
        dd.classList.remove('aio-open');
        this.classList.remove('aio-open');
     } else {
        Smooth.expand(dd);
        dd.classList.add('aio-open');
        this.classList.add('aio-open');
        adjustTables();
      }    
    }
  }
  
  var scroll = new Scroll(bodyOrHtml());
  var folded, vw, vh;

  const pageHeader = document.getElementById('unipi-header');
  const content = document.getElementById('content');
  const scrolltotop = document.getElementById('scroll-to-top');
  const mmenu = document.getElementById('site-navigation');
  const sHeader = document.getElementById('sectionHeader');
  const smenu = document.getElementById('secondarymenu');
  const pFooter = document.getElementById('unipi-footer');

  const sexp = document.querySelectorAll('#secondarymenu .page_item_has_children > a span');
  Array.from(sexp).forEach(function(element) {
     element.addEventListener('click', smoothToggleSubMenu);
  });
  
  var xtraSearch;
  if (mmenu) {
    xtraSearch = mmenu.getElementsByClassName('fileli-search-form');
    if(xtraSearch) {
      xtraSearch[0].addEventListener('submit', searchSubmit, true);
    }
  } 

  const sitemap = document.querySelectorAll('.wsp-pages-list .page_item_has_children > a');
  Array.from(sitemap).forEach(function(element) {
    element.addEventListener('click', smoothToggleSubMenu);
  });

  const faq = document.querySelectorAll('.aio-faq dt');
  Array.from(faq).forEach(function(element) {
    element.addEventListener('click', smoothToggleFaq);
  });
  const dyslexic = document.getElementById('toggleDyslexic');
  if (dyslexic) dyslexic.addEventListener('click', toggleDyslexic);
  
  const help = document.getElementsByClassName('aio-icon help-link');
  Array.from(help).forEach(function(element) {
    element.addEventListener('click', showHelp);
  });
  
  const scrollingTables = document.getElementsByTagName('table');
  
  window.addEventListener('scroll', scrollFunction, false);
  window.onscroll = function() {scrollFunction()};
  window.addEventListener('resize', init );
  window.addEventListener('load', init );

  const scrollTarget = document.getElementById('scroll-target');
  if (scrollTarget) scroll.toElement(scrollTarget);
} )();
