<?php
/**
 * The template for displaying all single posts
 *
 * Template Name: New Template
 * Template Post Type: post

 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Fileli
 */
  $home = get_category_by_slug('home')->cat_ID;
  $subsID = get_category_by_slug('subs')->cat_ID;
  $subsPage = get_page_by_path( 'subs' );
  $mycats = get_the_category();
  $slug = false;
  $pageCat = '';
  if (!empty($mycats)) {
    foreach ($mycats as $cat) {
      if ($cat->parent==$subsID) {
        $slug = $cat->slug;
        $pageCat = $cat->cat_ID;
      }
    }
  }
  if ($slug) {
    $my_posts = get_posts( array(
      'name'           => $slug,
      'post_parent'    => 0,
      'post_type'      => 'page',
      'post_status'    => 'publish',
      'posts_per_page' => 1
    ));
    $category_base = get_category_by_slug($slug);
    if (!empty($my_posts)) {
      set_query_var( 'toplevel_class', 'three-cols' );
      set_query_var( 'toplevel_parent', $my_posts[0]);
      set_query_var( 'toplevel_posts', $category_base->count > 0 || current_user_can( 'publish_posts' ));
      get_header('subs');
    } else {
      get_header();
    }
  } else {
    get_header();
  }
//   echo "<pre>";print_r($mycats);die( "</pre>");
 
?>
<header id="sectionHeader">
<?php
      printf( '<h1 class="page-title">%s</h1>', get_the_title( get_option('page_for_posts', true) ) );
?>
</header>
<div id="primary" class="content-area">
    <nav class="categorymenu" id="secondarymenu">
      <ul>
<?php 
    $args = current_user_can('publish_posts') ? array(
      'child_of' => $pageCat,
      'title_li' => '', 
      'hide_empty' => false,
      'exclude' => '1'
    ) : array(
      'child_of' => $pageCat,
      'title_li' => '', 
      'exclude' => '1' . $home
    );
    wp_list_categories( $args );
  ?>
      </ul>
    </nav>
  <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php
  if (current_user_can('edit_posts')) {
  $slugs = array();
  $names = array();
  foreach ($mycats as $cat) {
    $term = get_term($cat);
    $slugs[] = $term->slug;
    $names[] =  $term->name;
  }
  array_pop($names);
?>
      <div class="admin-element">
        <a href="/help/articoli" class="aio-icon help-link"><?php esc_html_e( 'New post?', 'fileli' ); ?></a>
        <a href="/wp-admin/post-new.php?post_type=post&post_cat=<?php echo esc_html(implode($slugs, ',')); ?>" class="edit-link"><?php esc_html_e( 'Insert new post', 'fileli' ); ?></a>
        <span class="aio-note"><?php if (count($mycats)>1) {
            esc_html_e( 'This new post will classified in the categories:', 'fileli' );
          } else {
             esc_html_e( 'This new post will classified in the category', 'fileli' );
         } ?> "<strong><?php echo implode(array_reverse($names), ' &gt; '); ?></strong>".</span>
      </div>
<?php 
  }
  if ( is_singular() ) :
    the_title( '<h1 class="entry-title">', '</h1>' );
  endif;

  while ( have_posts() ) :
    the_post();

    get_template_part( 'template-parts/content', get_post_type() );

//			the_post_navigation();

    // If comments are open or we have at least one comment, load up the comment template.
    if ( comments_open() || get_comments_number() ) :
      comments_template();
    endif;
  endwhile; // End of the loop.
?>
    </article><!-- #post-<?php the_ID(); ?> -->
<?php
  get_sidebar();
?>
</div><!-- #primary -->
<?php
//  get_footer(get_post_field( 'post_name', $topid ));
  $footer = get_page_by_path( $slug . '/footer');
  if ($footer) {
    set_query_var( 'content', $footer );
    get_footer('courses');
  } else {
    get_footer();
  }
?>