<?php 
/*
Template Name: PAGINA sottosito
*/
/**
 * Il modello per visualizzare tre colonne
 * 1. Menu corso
 * 2. Contenuto
 * 3. Sidebar
 * @package Fileli
 */

/* Vai alla prima pagina figlia se questa pagina è senza contenuti */
  $pagekids = get_pages("child_of=".$post->ID."&sort_column=menu_order");
  if ($pagekids && empty($post->post_content)) {
    $firstchild = $pagekids[0];
    wp_redirect(get_permalink($firstchild->ID));
  }
  if ( is_page() && $post->post_parent ) {
    $parents = get_post_ancestors( $post->ID );
    $toplevel_parent_id = (count($parents) > 1) ? $parents[count($parents)-2]: $post->ID;
    $topid = array_pop($parents);
    $exclude_ids = wds_get_IDs_by_page_name('home');
  } else {
    $toplevel_parent_id = $post->ID;
    $topid = $toplevel_parent_id;
  }
	$slug = get_post_field( 'post_name', $topid );
  $home = get_page_by_path( $slug . '/home' );
  $category_base = get_category_by_slug($slug);
  
  set_query_var( 'heading', 3 );
  set_query_var( 'toplevel_class', 'three-cols' );
  set_query_var( 'toplevel_posts', $category_base->count > 0 || current_user_can( 'publish_posts' ));
  get_header();
?>
  <header id="sectionHeader">
<?php
  if ( is_page() && $post->post_parent ) {
      echo '<h1 class="section-title">';
      if (!empty($parents)) {
        $index = count($parents);
        while($index) {
          $index--;
          if ( strpos( $exclude_ids, (string) $parents[$index] ) === false ) {
            echo sprintf("<a href=" . esc_url( get_permalink( $parents[$index] ) ) . ">%s</a>",  get_the_title($parents[$index]) );
          }
        }
      } else if ( strpos( $exclude_ids, (string) $post->ID ) === false ) {
          echo sprintf("<a href=" . esc_url( get_permalink( $post->ID ) ) . ">%s</a>",  get_the_title($post->ID) );
      } else {
        echo "&nbsp;";
      }
      echo '&nbsp;</h1>'; 
  } else {
      echo '<h1 class="section-title">&nbsp;</h1>';
  }
?>
  </header>
  <div id="primary" class="content-area">
    <nav class="secondarymenu" id="secondarymenu">
    <ul>
<?php
  if (!empty($home)) {
    $sid = ($topid == $toplevel_parent_id) ? $home->ID : $toplevel_parent_id;
    wp_list_pages( array(
      'title_li' => NULL,
      'child_of' => $sid,
      'sort_column' => 'menu_order',
      'link_after' => '<span></span>'
    ));
  } else if ($topid != $toplevel_parent_id) {
    wp_list_pages( array(
      'title_li' => NULL,
      'child_of' => $toplevel_parent_id,
      'sort_column' => 'menu_order',
      'link_after' => '<span></span>'
    ));
  }
?>
    </ul>
    </nav>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php
  set_query_var( 'toplevel_parent_id', absint( $toplevel_parent_id ) );
  while ( have_posts() ) :
    the_post();
  ?>
    <header class="entry-header"<?php if ($toplevel_parent_id != $post->ID) echo ' id="scroll-target"'; ?>>
		  <?php 
        if (!empty($parents)) {
		      the_title( '<h2 class="entry-title">', '</h2>' );
		    } 
//         if (empty($home)) {
//           if ( get_edit_post_link() ) {
//             echo '<p><strong>Create a homepage for this section!</strong></p>';
//             echo '<p>You can clone the model in the help section: <a href="/help/modelli/home" title="Modello home page sezione" class="edit-link">Modello Home page sezione</a></p><p>&nbsp;</p>';
//           } else  {
//             echo '<p><strong>Page in preparation</strong></p>';
//           }
//         }
		  ?>
	  </header> 
<?php 
    get_template_part( 'template-parts/content', 'courses' );
  endwhile; // End of the loop.
?>
    </article><!-- #post-<?php the_ID(); ?> -->
<?php
    get_sidebar();
?>
  </div><!-- #primary -->
<?php
//  echo "<pre>";print_r($post);echo "</pre>";
//  get_footer(get_post_field( 'post_name', $topid ));
  $footer = get_page_by_path( $slug . '/footer');
  if ($footer) {
    set_query_var( 'content', $footer );
    get_footer('courses');
  } else {
    get_footer();
  }
?>
